Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Class List
Here are the classes, structs, unions and interfaces with brief descriptions:

C DHTML_Calendar |
C eZ1337Translator | Translates text into the leet (1337) language
C eZAd |
C eZAdCategory |
C eZAdClick |
C eZAddress |
C eZAddressType |
C eZAppointment |
C eZAppointmentType |
C eZArticle |
C eZArticleAttribute |
C eZArticleCategory |
C eZArticleForm |
C eZArticleGenerator |
C eZArticleRenderer |
C eZArticleSupplier |
C eZArticleTool |
C eZArticleType |
C eZAuthor |
C eZAutoloadGenerator |
C eZBackslashImporter |
C eZBenchmark |
C eZBorkTranslator | Translates text into the Bork language (Mock Swedish)
C eZBoxType |
C eZBug |
C eZBugCategory |
C eZBugLog |
C eZBugModule |
C eZBugPriority |
C eZBugStatus |
C eZBulkMail |
C eZBulkMailForgot |
C eZBulkMailSubscriptionAddress |
C eZBulkMailSubscriptionUser |
C eZBulkMailTemplate |
C eZBulkMailUserSubscripter |
C eZBZIP2Handler | Handles files compressed with bzip2
C eZCart |
C eZCartItem |
C eZCartOptionValue |
C eZCartVoucherItem |
C eZCategory |
C eZCCTool | Provide utility functions for CreditCards
C eZCharsetInfo | Allows for quering information about charsets
C eZCharTransform | Performs rule based transformation of characters in a string
C eZCheckout |
C eZCheckoutSupplier |
C eZCheckoutSupplierGateway |
C eZClusterEventListener |
C eZClusterEventLogger |
C eZClusterEventLoggerEzdebug |
C eZClusterEventLoggerPhp |
C eZClusterEventNotifier |
C eZClusterFileFailure |
C eZClusterFileHandler |
C eZClusterFileHandlerInterface |
C eZClusterHandlerDBNoConnectionException |
C eZClusterHandlerDBNoDatabaseException |
C eZCodeMapper | Handles mapping of character codes
C eZCodePage | Handles codepage files for charset mapping
C eZCodePageCodec | The class eZCodePageCodec does
C eZCodePageMapper | The class eZCodePageMapper does
C eZCompany |
C eZCompressionHandler | Interface for file handlers using compression
C eZConsultation |
C eZConsultationType |
C eZContactSupplier |
C eZContentLanguage |
C eZContentObjectState |
C eZContentObjectStateGroup |
C eZContentObjectStateGroupLanguage |
C eZContentObjectStateLanguage |
C eZCountry |
C eZCSVImport |
C eZCurrency |
C eZDate |
C eZDateTime |
C eZDB |
C eZDBException |
C eZDBNoConnectionException |
C eZDebug | Advanced debug/log system
C eZDebugSetting |
C eZDFSFileHandler |
C eZDFSFileHandlerBackendException |
C eZDFSFileHandlerBackendFactory |
C eZDFSFileHandlerDFSBackend |
C eZDFSFileHandlerDFSBackendFactoryInterface |
C eZDFSFileHandlerDFSBackendFilterIterator |
C eZDFSFileHandlerDFSBackendInterface |
C eZDFSFileHandlerMySQLiBackend |
C eZDFSFileHandlerNFSMountPointNotFoundException |
C eZDFSFileHandlerNFSMountPointNotWriteableException |
C eZDFSFileHandlerTableNotFoundException |
C eZDFSMySQLBackendError |
C eZDir | The class eZDir does
C eZDOMDocument |
C eZDOMNode |
C eZExample |
C eZExecution | Handles proper script execution, fatal error detection and handling
C eZExpiryHandler |
C eZExtension | The class eZExtension does
C eZEzGenerator |
C eZEzRenderer |
C eZFile | Tool class which has convencience functions for files and directories
C eZFileHandler | Interface for file handlers
C eZForgot |
C eZForm |
C eZFormElement |
C eZFormElementFixedValue |
C eZFormElementType |
C eZFormRenderer |
C eZForum |
C eZForumCategory |
C eZForumMessage |
C eZForwardCompressionHandler | Handles files compressed with gzip
C eZFreeTradeImport |
C eZFSFileHandler |
C eZGPG |
C eZGroupEditor |
C eZGroupEvent |
C eZGroupEventCategory |
C eZGroupEventType |
C eZGroupNoShow |
C eZGZIPCompressionHandler | Handles files compressed with gzip
C eZGZIPShellCompressionHandler | Handles files compressed with gzip using the shell commands
C eZGZIPZLIBCompressionHandler | Handles files compressed with gzip using the zlib extension
C eZHit |
C eZHTTPHeader | The class eZHTTPHeader does
C eZHTTPTool |
C eZImage |
C eZImageCategory |
C eZImageMap |
C eZImageVariation |
C eZImageVariationGroup |
C eZInformixDB |
C eZINI | Reads and writes .ini style configuration files
C eZLink |
C eZLinkAttribute |
C eZLinkCategory |
C eZLinkItem |
C eZLinkSection |
C eZLinkType |
C eZList |
C eZLocale |
C eZLog |
C eZMail |
C eZMailAccount |
C eZMailFilter |
C eZMailFilterRule |
C eZMailFolder |
C eZMBStringMapper | The class eZMBStringMapper does
C eZMD5 | Class handling MD5 file operations
C eZMedia |
C eZMediaAttribute |
C eZMediaCategory |
C eZMediaFile |
C eZMediaType |
C eZMenu |
C eZMenuBox |
C eZMessage |
C eZMessageDefinition |
C eZModule |
C eZModuleHandler |
C eZModuleLink |
C eZMySQLBackendError | Error class for the MySQL backend (cluster code)
C eZMySQLDB |
C eZNews |
C eZNewsCategory |
C eZNewsImporter |
C eZNoCompressionHandler | Does no compression at all
C eZNyheterNOImporter |
C eZObjectPermission |
C eZOption |
C eZOptionValue |
C eZOrder |
C eZOrderConfirmation |
C eZOrderItem |
C eZOrderOptionValue |
C eZOrderStatus |
C eZOrderStatusType |
C ezpAccessDenied |
C eZPageView |
C eZPageViewQuery |
C ezpAsynchronousPublisherCliOutput |
C ezpAsynchronousPublisherLogOutput |
C ezpAsynchronousPublisherOutput |
C ezpAsynchronousPublishingFilter |
C ezpAsynchronousPublishingFilterInterface |
C ezpAttributeOperatorFormatter |
C ezpAttributeOperatorFormatterInterface |
C ezpAttributeOperatorHTMLFormatter |
C ezpAttributeOperatorManager |
C ezpAttributeOperatorTextFormatter |
C ezpAutoloadCliOutput |
C ezpAutoloadFileFindContext |
C ezpAutoloadGeneratorOptions |
C ezpAutoloadOutput |
C eZPaypalReturn |
C eZPBFile |
C eZPBImageFile |
C eZPBINIFile |
C ezpbKernel |
C ezpbKernelAdmin |
C ezpbKernelResult |
C ezpbKernelWeb |
C eZPBLog |
C ezpCacheClusterException |
C ezpCacheStorageClusterOptions |
C ezpContent |
C ezpContentAccessDeniedException |
C ezpContentClassCriteria |
C ezpContentCriteria |
C ezpContentCriteriaInterface |
C ezpContentCriteriaSet |
C ezpContentDepthCriteria |
C ezpContentException |
C ezpContentField |
C ezpContentFieldCriteria |
C ezpContentFieldNotFoundException |
C ezpContentFieldSet |
C ezpContentLimitCriteria |
C ezpContentList |
C ezpContentLocation |
C ezpContentLocationCriteria |
C ezpContentLocationSet |
C ezpContentNotFoundException |
C ezpContentPublishingProcess |
C ezpContentPublishingQueue |
C ezpContentPublishingQueueProcessor |
C ezpContentPublishingQueueReaderInterface |
C ezpContentRepository |
C ezpContentSortingCriteria |
C ezpContentXHTMLRenderer |
C ezpDatabaseBasedClusterFileHandler |
C eZPermission |
C eZPersistentObject |
C eZPerson |
C ezpEvent |
C ezpExtension |
C ezpExtensionOptions |
C eZPhone |
C eZPhoneType |
C eZPHPCreator | EZPHPCreator provides a simple interface for creating and executing PHP code
C ezpHttpResponseCodes |
C ezpKernel |
C ezpKernelHandler |
C ezpKernelRedirect |
C ezpKernelRest |
C ezpKernelResult |
C ezpKernelTreeMenu |
C ezpKernelWeb |
C ezpLanguageNotFound |
C ezpLanguageSwitcher |
C ezpLanguageSwitcherCapable |
C ezpLanguageSwitcherFunctionCollection |
C ezpLanguageSwitcherOperator |
C ezpLocation |
C ezpMail |
C ezpMobileDeviceDetect |
C ezpMobileDeviceDetectFilter |
C ezpMobileDeviceDetectFilterInterface |
C ezpMobileDeviceRegexpFilter |
C ezpModuleDisabled |
C ezpModuleNotFound |
C ezpModuleViewDisabled |
C ezpModuleViewNotFound |
C ezpMultivariateTest |
C ezpMultivariateTestHandler |
C ezpMultivariateTestHandlerInterface |
C ezpMvcConfigurableDispatcher |
C ezpMvcConfiguration |
C ezpMvcRailsRoute |
C ezpMvcRegexpRoute |
C ezpNativeUserAuthFilter |
C ezpOauthBadRequestException |
C ezpOauthErrorType |
C ezpOauthException |
C ezpOauthExpiredTokenException |
C ezpOauthFilter |
C ezpOauthInsufficientScopeException |
C ezpOauthInvalidRequestException |
C ezpOauthInvalidTokenException |
C ezpOauthNoAuthInfoException |
C ezpOauthRequired |
C ezpOauthRequiredException |
C ezpOauthTokenEndpointErrorType |
C ezpOauthTokenNotFoundException |
C ezpOauthUtility |
C eZPoll |
C eZPollChoice |
C eZPostgreSQLDB |
C eZPreferences |
C eZPreOrder |
C ezpRestAuthcode |
C ezpRestAuthConfiguration |
C ezpRestAuthController |
C ezpRestAuthenticationStyle |
C ezpRestAuthenticationStyleInterface |
C ezpRestAuthorizedClient |
C ezpRestAuthProvider |
C ezpRestAuthStyleNotFoundException |
C ezpRestBasicAuthStyle |
C ezpRestCacheStorageApcCluster |
C ezpRestCacheStorageCluster |
C ezpRestCacheStorageFile |
C ezpRestClient |
C ezpRestContentRenderer |
C ezpRestContentRendererInterface |
C ezpRestContentRendererNotFoundException |
C ezpRestDbConfig |
C ezpRestDebug |
C ezpRestDebugPHPFormatter |
C ezpRestDefaultRegexpPrefixFilter |
C ezpRestErrorController |
C ezpRestException |
C ezpRestFeedDecorator |
C ezpRestFilterMissingParameterException |
C ezpRestFilterNotFoundException |
C ezpRestHttpRequestParser |
C ezpRestHttpResponse |
C ezpRestHttpResponseWriter |
C ezpRestHTTPSRequiredException |
C ezpRestIniRouteFilter |
C ezpRestJsonView |
C ezpRestModel |
C ezpRestMvcController |
C ezpRestMvcResult |
C ezpRestNoAuthStyle |
C ezpRestOauthAuthenticationStyle |
C ezpRestOauthErrorStatus |
C ezpRestOauthTokenController |
C ezpRestPoConfig |
C ezpRestPrefixFilterInterface |
C ezpRestPreRoutingFilterInterface |
C ezpRestProvider |
C ezpRestProviderInterface |
C ezpRestProviderNotFoundException |
C ezpRestRequest |
C ezpRestRequestFilterInterface |
C ezpRestResponseFilterInterface |
C ezpRestResultFilterInterface |
C ezpRestRouteFilterInterface |
C ezpRestRouter |
C ezpRestRoutesCacheClear |
C ezpRestRouteSecurityFilterNotFoundException |
C ezpRestStatusResponse |
C ezpRestToken |
C ezpRestTokenManager |
C ezpRestVersionedRoute |
C ezpRestViewControllerInterface |
C eZPriceGroup |
C eZPriority |
C eZProduct |
C eZProductAttribute |
C eZProductCategory |
C eZProductCurrency |
C eZProductForm |
C eZProductPermission |
C eZProductPriceRange |
C eZProductSupplier |
C eZProductTool |
C eZProductType |
C eZProjectType |
C ezpRouteMethodNotAllowedException |
C ezpSearchEngine |
C ezpSessionHandler |
C ezpSessionHandlerDB |
C ezpSessionHandlerPHP |
C ezpSessionHandlerSymfony |
C ezpStaticCache |
C ezpTopologicalSort |
C ezpTopologicalSortNode |
C eZPublish |
C ezpublishbasicInfo |
C eZPublishSDK | EZ Publish SDK version
C ezpUpdatedContent |
C ezpUserNotFoundException |
C ezpWebBasedKernelHandler |
C eZQDomGenerator |
C eZQDomRenderer |
C eZQuery |
C eZQuestion |
C eZQuizAlternative |
C eZQuizAnswer |
C eZQuizGame |
C eZQuizQuestion |
C eZQuizScore |
C eZQuizTool |
C eZRandomTranslator | Translates text by picking randomly among it's sub handlers
C eZRDFImporter |
C eZRegion |
C eZResponse |
C eZResponseDate |
C eZResponseQuestion |
C eZRSSImporter |
C eZScriptClusterPurge |
C eZScriptTrashPurge |
C eZSection |
C eZSectionFrontPage |
C eZSession |
C eZShippingGroup |
C eZShippingType |
C eZShuffleTranslator | Translates text by moving characters around
C eZSimpleGenerator |
C eZSimpleRenderer |
C eZSiteAccess |
C eZSlideshow |
C eZSourceSite |
C eZSQLite3DB |
C eZStatus |
C eZSurvey |
C eZSys |
C eZSysinfo |
C eZTechGenerator |
C eZTechRenderer |
C eZTemplate |
C eZTextCodec | Handles conversion from one charset to another
C eZTextTool |
C eZTime |
C eZTip |
C eZTipCategory |
C eZTipClick |
C eZTodo |
C eZTodoLog |
C eZTopic |
C eZTranslationCache | Cache handling for translations
C eZTranslatorGroup | Allows for picking translator handlers according to context
C eZTranslatorHandler | Base class for translation handling
C eZTranslatorManager | This provides internationalization support for text output
C eZTSTranslator |
C ezups |
C eZURI |
C eZURITool |
C eZURLAliasFilterAppendNodeID |
C eZURLTranslator |
C eZUser |
C eZUserGroup |
C ezuspsservices |
C eZUTF8Codec | Converter for utf8 and 32bit unicode
C eZVATType |
C eZVirtualFile |
C eZVirtualFolder |
C eZVote |
C eZVoucher |
C eZVoucherEMail |
C eZVoucherInformation |
C eZVoucherSMail |
C eZVoucherUsed |
C eZWebDAVContentBackend | Provides access to Exponential kernel using WebDAV. Based on the eZ Components Webdav component
C eZWebDAVContentBackendAuth | Manages WebDAV basic authentication
C eZWishList |
C eZWishListItem |
C eZWishListOptionValue |
C eZXML |
C eZXMLRPCArray |
C eZXMLRPCBase64 |
C eZXMLRPCBool |
C eZXMLRPCCall |
C eZXMLRPCClient |
C eZXMLRPCDataTypeDecoder |
C eZXMLRPCDatetime |
C eZXMLRPCDouble |
C eZXMLRPCFunction |
C eZXMLRPCInt |
C eZXMLRPCResponse |
C eZXMLRPCServer |
C eZXMLRPCString |
C eZXMLRPCStruct |
C Template |
C upsRate |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.